import org.jbehave.core.Embeddable;
import org.jbehave.core.annotations.Given;
import org.jbehave.core.annotations.Then;
import org.jbehave.core.annotations.When;
import org.jbehave.core.embedder.Embedder;
import org.junit.Assert;

/**
 * Created by IntelliJ IDEA.
 * User: formation
 * Date: 16/06/11
 * Time: 11:43
 * To change this template use File | Settings | File Templates.
 */
public class AccountStory extends Embedder {

    private Account accountA;
    private Account accountB;
    private boolean errorOccured;

    @Given("an account with $amount euros")
    public void fillAcountA(int amount) {
        accountA = new Account(amount);
    }

    @Given("another with $amount  euros")
    public void fillAcountB(int amount) {
        accountB = new Account(amount);
    }

    @When("I transfer $amount euros")
    public void transfertMoney(int amount) {
        errorOccured = accountA.transfertTo(accountB,amount);
    }

    @Then("the first account should have $amount euros")
    public void checkAccountA(int amount) {
        Assert.assertEquals(amount, accountA.getAmount());
    }
    @Then("the second one $amount euros")
    public void checkAccountB(int amount) {
        Assert.assertEquals(amount,accountB.getAmount());
    }

    @Then("I should see an error")
    public void checkErrorRaised() {
        Assert.assertFalse(errorOccured);
    }

}
